Index: kernel/arch/amd64/include/arch/boot/memmap_struct.h
===================================================================
--- kernel/arch/amd64/include/arch/boot/memmap_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/amd64/include/arch/boot/memmap_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_BOOT_MEMMAP_STRUCT_H_
+#define KERN_ARCH_BOOT_MEMMAP_STRUCT_H_
 
 #define E820MEMMAP_OFFSET_BASE_ADDRESS  0x00
@@ -44,3 +45,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/amd64/include/arch/context_struct.h
===================================================================
--- kernel/arch/amd64/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/amd64/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -61,3 +62,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/amd64/include/arch/istate_struct.h
===================================================================
--- kernel/arch/amd64/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/amd64/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_RAX         0x00
@@ -92,3 +93,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/amd64/include/arch/kseg_struct.h
===================================================================
--- kernel/arch/amd64/include/arch/kseg_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/amd64/include/arch/kseg_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_KSEG_STRUCT_H_
+#define KERN_ARCH_KSEG_STRUCT_H_
 
 #define KSEG_OFFSET_USTACK_RSP  0x00
@@ -44,3 +45,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/arm32/include/arch/context_struct.h
===================================================================
--- kernel/arch/arm32/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/arm32/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,7 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
+
 #include <typedefs.h>
 
@@ -51,2 +53,4 @@
 } context_t;
 
+#endif
+
Index: kernel/arch/arm32/include/arch/istate_struct.h
===================================================================
--- kernel/arch/arm32/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/arm32/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,7 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
+
 #include <stdint.h>
 
@@ -53,2 +55,4 @@
 } istate_t;
 
+#endif
+
Index: kernel/arch/ia32/include/arch/boot/memmap_struct.h
===================================================================
--- kernel/arch/ia32/include/arch/boot/memmap_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ia32/include/arch/boot/memmap_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_BOOT_MEMMAP_STRUCT_H_
+#define KERN_ARCH_BOOT_MEMMAP_STRUCT_H_
 
 #define E820MEMMAP_OFFSET_BASE_ADDRESS  0x00
@@ -46,2 +47,3 @@
 
 #endif
+#endif
Index: kernel/arch/ia32/include/arch/context_struct.h
===================================================================
--- kernel/arch/ia32/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ia32/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -55,3 +56,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/ia32/include/arch/istate_struct.h
===================================================================
--- kernel/arch/ia32/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ia32/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_EDX 0
@@ -105,3 +106,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/ia64/include/arch/context_struct.h
===================================================================
--- kernel/arch/ia64/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ia64/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_AR_PFS          0x00
@@ -134,3 +135,4 @@
 
 #endif /* __ASSEMBLER__ */
+#endif
 
Index: kernel/arch/ia64/include/arch/istate_struct.h
===================================================================
--- kernel/arch/ia64/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ia64/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_F2                0x000
@@ -151,3 +152,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/mips32/include/arch/context_struct.h
===================================================================
--- kernel/arch/mips32/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/mips32/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_SP  0x00
@@ -66,3 +67,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/mips32/include/arch/fpu_context_struct.h
===================================================================
--- kernel/arch/mips32/include/arch/fpu_context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/mips32/include/arch/fpu_context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_FPU_CONTEXT_STRUCT_H_
+#define KERN_ARCH_FPU_CONTEXT_STRUCT_H_
 
 #define FPU_CONTEXT_OFFSET_DREGS  0
@@ -46,3 +47,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/mips32/include/arch/istate_struct.h
===================================================================
--- kernel/arch/mips32/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/mips32/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_A0         0x00
@@ -126,3 +127,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/ppc32/include/arch/context_struct.h
===================================================================
--- kernel/arch/ppc32/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ppc32/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -87,3 +88,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/ppc32/include/arch/fpu_context_struct.h
===================================================================
--- kernel/arch/ppc32/include/arch/fpu_context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ppc32/include/arch/fpu_context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_FPU_CONTEXT_STRUCT_H_
+#define KERN_ARCH_FPU_CONTEXT_STRUCT_H_
 
 #define FPU_CONTEXT_OFFSET_FR0    0x00
@@ -105,3 +106,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/ppc32/include/arch/istate_struct.h
===================================================================
--- kernel/arch/ppc32/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/ppc32/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_SP_FRAME  0x00
@@ -129,3 +130,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/riscv64/include/arch/context_struct.h
===================================================================
--- kernel/arch/riscv64/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/riscv64/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -73,3 +74,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/riscv64/include/arch/istate_struct.h
===================================================================
--- kernel/arch/riscv64/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/riscv64/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_ZERO  0x00
@@ -111,3 +112,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/sparc64/include/arch/context_struct.h
===================================================================
--- kernel/arch/sparc64/include/arch/context_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/sparc64/include/arch/context_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_CONTEXT_STRUCT_H_
+#define KERN_ARCH_CONTEXT_STRUCT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -77,3 +78,4 @@
 
 #endif
+#endif
 
Index: kernel/arch/sparc64/include/arch/istate_struct.h
===================================================================
--- kernel/arch/sparc64/include/arch/istate_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/arch/sparc64/include/arch/istate_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -27,5 +27,6 @@
  */
 
-#pragma once
+#ifndef KERN_ARCH_ISTATE_STRUCT_H_
+#define KERN_ARCH_ISTATE_STRUCT_H_
 
 #define ISTATE_OFFSET_L0              0x00
@@ -135,3 +136,4 @@
 
 #endif
+#endif
 
Index: kernel/genarch/include/genarch/multiboot/multiboot_info_struct.h
===================================================================
--- kernel/genarch/include/genarch/multiboot/multiboot_info_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/genarch/include/genarch/multiboot/multiboot_info_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_MULTIBOOT_INFO_STRUCT_H_
+#define KERN_MULTIBOOT_INFO_STRUCT_H_
 
 #define MULTIBOOT_INFO_OFFSET_FLAGS        0x00
@@ -58,2 +59,3 @@
 
 #endif
+#endif
Index: kernel/genarch/include/genarch/multiboot/multiboot_memmap_struct.h
===================================================================
--- kernel/genarch/include/genarch/multiboot/multiboot_memmap_struct.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ kernel/genarch/include/genarch/multiboot/multiboot_memmap_struct.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef KERN_MULTIBOOT_MEMMAP_STRUCT_H_
+#define KERN_MULTIBOOT_MEMMAP_STRUCT_H_
 
 #include <arch/boot/memmap_struct.h>
@@ -46,2 +47,3 @@
 
 #endif
+#endif
Index: uspace/lib/c/arch/amd64/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/amd64/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/amd64/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -59,3 +60,4 @@
 
 #endif
+#endif
 
Index: uspace/lib/c/arch/arm32/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/arm32/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/arm32/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #include <stdint.h>
@@ -54,2 +55,4 @@
 } context_t;
 
+#endif
+
Index: uspace/lib/c/arch/ia32/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/ia32/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/ia32/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -53,3 +54,4 @@
 
 #endif
+#endif
 
Index: uspace/lib/c/arch/ia64/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/ia64/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/ia64/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_AR_PFS          0x000
@@ -132,3 +133,4 @@
 
 #endif  /* __ASSEMBLER__ */
+#endif
 
Index: uspace/lib/c/arch/mips32/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/mips32/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/mips32/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -88,3 +89,4 @@
 
 #endif
+#endif
 
Index: uspace/lib/c/arch/ppc32/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/ppc32/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/ppc32/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -85,3 +86,4 @@
 
 #endif
+#endif
 
Index: uspace/lib/c/arch/riscv64/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/riscv64/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/riscv64/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_SP   0x00
@@ -110,3 +111,4 @@
 
 #endif
+#endif
 
Index: uspace/lib/c/arch/sparc64/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/sparc64/include/libarch/fibril_context.h	(revision 30e9f42a78ab720d6d4fc7f8484c61c6b7964bdd)
+++ uspace/lib/c/arch/sparc64/include/libarch/fibril_context.h	(revision d9fdd5aada2408706403a3f04ab550635bfc5907)
@@ -26,5 +26,6 @@
  */
 
-#pragma once
+#ifndef LIBC_ARCH_FIBRIL_CONTEXT_H_
+#define LIBC_ARCH_FIBRIL_CONTEXT_H_
 
 #define CONTEXT_OFFSET_SP  0x00
@@ -77,3 +78,4 @@
 
 #endif
+#endif
 
